Index: src/Actions/ActionRegistry.cpp
===================================================================
--- src/Actions/ActionRegistry.cpp	(revision 35b6985cb4b968c855916ec0ced6e74b690ac7b1)
+++ src/Actions/ActionRegistry.cpp	(revision d0fbecbcdc3487bcfb490f5e818f9b9b96b5f4d2)
@@ -19,8 +19,12 @@
 using namespace std;
 
+/** Constructor for class ActionRegistry.
+ */
 ActionRegistry::ActionRegistry()
 {
 }
 
+/** Destructor for class ActionRegistry.
+ */
 ActionRegistry::~ActionRegistry()
 {
@@ -32,4 +36,8 @@
 }
 
+/** Returns pointer to an action named by \a name.
+ * \param name name of action
+ * \return pointer to Action
+ */
 Action* ActionRegistry::getActionByName(const std::string name){
   map<const string,Action*>::iterator iter;
@@ -39,4 +47,9 @@
 }
 
+/** States whether action is present or not.
+ * \note This iss needed as ActionRegistry::getActionByName() ASSERT()s that action is in map.
+ * \param name name of action
+ * \return true - Action present, false - Action absent
+ */
 bool ActionRegistry::isActionByNamePresent(const std::string name){
   map<const string,Action*>::iterator iter;
@@ -45,14 +58,25 @@
 }
 
+/** Registers an Action with the ActionRegistry.
+ * \param *action pointer to Action.
+ */
 void ActionRegistry::registerAction(Action* action){
   pair<map<const string,Action*>::iterator,bool> ret;
+  //cout << "Trying to register action with name " << action->getName() << "." << endl;
   ret = actionMap.insert(pair<const string,Action*>(action->getName(),action));
   ASSERT(ret.second,"Two actions with the same name added to registry");
 }
 
+/** Unregisters an Action.
+ * \param *action pointer to Action.
+ */
 void ActionRegistry::unregisterAction(Action* action){
+  //cout << "Unregistering action with name " << action->getName() << "." << endl;
   actionMap.erase(action->getName());
 }
 
+/** Returns an iterator pointing to the start of the map of Action's.
+ * \return begin iterator
+ */
 std::map<const std::string,Action*>::iterator ActionRegistry::getBeginIter()
 {
@@ -60,4 +84,7 @@
 }
 
+/** Returns an iterator pointing to the end of the map of Action's.
+ * \return end iterator
+ */
 std::map<const std::string,Action*>::iterator ActionRegistry::getEndIter()
 {
@@ -65,3 +92,35 @@
 }
 
+/** Returns a const iterator pointing to the start of the map of Action's.
+ * \return constant begin iterator
+ */
+std::map<const std::string,Action*>::const_iterator ActionRegistry::getBeginIter() const
+{
+  return actionMap.begin();
+}
+
+/** Returns a const iterator pointing to the end of the map of Action's.
+ * \return constant end iterator
+ */
+std::map<const std::string,Action*>::const_iterator ActionRegistry::getEndIter() const
+{
+  return actionMap.end();
+}
+
+/** Prints the contents of the ActionRegistry \a &m to \a &ost.
+ * \param &ost output stream
+ * \param &m reference to ActionRegistry
+ * \return reference to the above out stream for concatenation
+ */
+ostream& operator<<(ostream& ost, const ActionRegistry& m)
+{
+  ost << "ActionRegistry contains:" << endl;
+  for (std::map<const std::string,Action*>::const_iterator iter = m.getBeginIter(); iter != m.getEndIter(); ++iter) {
+    ost << "\t" << iter->first << " with pointer " << iter->second << endl;
+  }
+  return ost;
+};
+
+
+
 CONSTRUCT_SINGLETON(ActionRegistry)
Index: src/Actions/ActionRegistry.hpp
===================================================================
--- src/Actions/ActionRegistry.hpp	(revision 35b6985cb4b968c855916ec0ced6e74b690ac7b1)
+++ src/Actions/ActionRegistry.hpp	(revision d0fbecbcdc3487bcfb490f5e818f9b9b96b5f4d2)
@@ -9,4 +9,5 @@
 #define ACTIONREGISTRY_HPP_
 
+#include <iostream>
 #include <string>
 #include <map>
@@ -26,5 +27,7 @@
 
   std::map<const std::string,Action*>::iterator getBeginIter();
+  std::map<const std::string,Action*>::const_iterator getBeginIter() const;
   std::map<const std::string,Action*>::iterator getEndIter();
+  std::map<const std::string,Action*>::const_iterator getEndIter() const;
 
 private:
@@ -36,3 +39,5 @@
 };
 
+std::ostream& operator<<(std::ostream& ost, const ActionRegistry& m);
+
 #endif /* ACTIONREGISTRY_HPP_ */
